> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Upsert Translations

> Batch upsert translations for a namespace + language.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json put /api/v1/admin/translations/{language_code}/{namespace}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/translations/{language_code}/{namespace}:
    put:
      tags:
        - admin:translations
      summary: Batch Upsert Translations
      description: Batch upsert translations for a namespace + language.
      operationId: >-
        batch_upsert_translations_api_v1_admin_translations__language_code___namespace__put
      parameters:
        - name: language_code
          in: path
          required: true
          schema:
            type: string
            title: Language Code
        - name: namespace
          in: path
          required: true
          schema:
            type: string
            title: Namespace
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TranslationBatchUpsert'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    TranslationBatchUpsert:
      properties:
        translations:
          additionalProperties:
            type: string
          type: object
          title: Translations
      type: object
      required:
        - translations
      title: TranslationBatchUpsert
      description: Batch upsert translations for a namespace+language.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````